org.appng.api

## Class Platform.Environment

- java.lang.Object
- - org.appng.api.Platform.Environment

- Enclosing class:
    Platform

      public final class Platform.Environment
      extends Object

  Constants used for accessing an `Environment`-attribute with `Scope.PLATFORM`.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPNG_VERSION` Key for the appNG version.
    `static String` | `CORE_PLATFORM_CONTEXT` Key for the global `ApplicationContext`.
    `static String` | `MESSAGE_RECEIVER` Key for the `Receiver`s that the platform uses to receive `Event`s.
    `static String` | `MESSAGE_SENDER` Key for the `Sender` that the platform uses to send `Event`s.
    `static String` | `NODE_CONFIG` Key for the node config.
    `static String` | `PLATFORM_CONFIG` Key for the global platform config.
    `static String` | `SITES` Key for the `Map` containing all active `Site`s.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Environment()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORE_PLATFORM_CONTEXT

          public static final String CORE_PLATFORM_CONTEXT

      Key for the global `ApplicationContext`. The return type of `Environment.getAttribute(Scope, String)` is `ApplicationContext`.
      See Also:
        Constant Field Values

    - #### PLATFORM_CONFIG

          public static final String PLATFORM_CONFIG

      Key for the global platform config. The return type of `Environment.getAttribute(Scope, String)` is `Properties`.
      See Also:
        Constant Field Values

    - #### NODE_CONFIG

          public static final String NODE_CONFIG

      Key for the node config. The return type of `Environment.getAttribute(Scope, String)` is `Properties`.
      See Also:
        Constant Field Values

    - #### APPNG_VERSION

          public static final String APPNG_VERSION

      Key for the appNG version. The return type of `Environment.getAttribute(Scope, String)` is `String` .
      See Also:
        Constant Field Values

    - #### SITES

          public static final String SITES

      Key for the `Map` containing all active `Site`s. The return type of `Environment.getAttribute(Scope, String)` is `Map <String, Site>`
      See Also:
        Constant Field Values

    - #### MESSAGE_SENDER

          public static final String MESSAGE_SENDER

      Key for the `Sender` that the platform uses to send `Event`s.
      See Also:
        Constant Field Values

    - #### MESSAGE_RECEIVER

          public static final String MESSAGE_RECEIVER

      Key for the `Receiver`s that the platform uses to receive `Event`s.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Environment

          public Environment()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.